Create Webhook Endpoint
Intent
Creates a webhook endpoint from the values supplied in the request.
When to call it
Call this when your application has collected the required values and is ready to create a webhook endpoint.
Access boundary
Authorize the request with a token that carries webhooks:write.
Successful result
A successful request returns 201. The response schema below defines the body your integration receives.
Authorizations
Body
Schema used to create a webhook endpoint.
Url: URL where the webhook events will be sent.
1 - 2083"https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0"
Format: Format of the webhook payload.
raw, discord, slack Events: Events that will trigger the webhook.
checkout.created, checkout.updated, checkout.expired, customer.created, customer.updated, customer.deleted, customer.state_changed, customer_seat.assigned, customer_seat.claimed, customer_seat.revoked, member.created, member.updated, member.deleted, order.created, order.updated, order.paid, order.refunded, subscription.created, subscription.updated, subscription.active, subscription.canceled, subscription.uncanceled, subscription.revoked, subscription.past_due, refund.created, refund.updated, product.created, product.updated, benefit.created, benefit.updated, benefit_grant.created, benefit_grant.cycled, benefit_grant.updated, benefit_grant.revoked, organization.updated Object representing optional name for the webhook endpoint to help organize and identify it.
Identifier of the organization.
"1dbfc517-0bbf-4301-9ba8-555ca42b9737"
Response
Response: Webhook endpoint created.
Object representing webhook endpoint.
The time Ruba created this record.
The time this record last changed.
The stable identifier for this record.
Url: URL where the webhook events will be sent.
"https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0"
Format: Format of the webhook payload.
raw, discord, slack Secret: Secret used to sign the webhook events.
"ruba_whs_ovyN6cPrTv56AApvzCaJno08SSmGJmgbWilb33N2JuK"
Organization Id: Organization ID associated with the webhook endpoint.
Events: Events that will trigger the webhook.
checkout.created, checkout.updated, checkout.expired, customer.created, customer.updated, customer.deleted, customer.state_changed, customer_seat.assigned, customer_seat.claimed, customer_seat.revoked, member.created, member.updated, member.deleted, order.created, order.updated, order.paid, order.refunded, subscription.created, subscription.updated, subscription.active, subscription.canceled, subscription.uncanceled, subscription.revoked, subscription.past_due, refund.created, refund.updated, product.created, product.updated, benefit.created, benefit.updated, benefit_grant.created, benefit_grant.cycled, benefit_grant.updated, benefit_grant.revoked, organization.updated Indicates whether the webhook endpoint is enabled and will receive events.
Object representing optional name for the webhook endpoint to help organize and identify it.